
/*************************************************
* STORED stp_verificaDtx
*
* verifica il DataMatrix se presente nella tab dei cartellini acquisiti ed OK
*
* Steamware, S.E.L.
* mod: 2014.03.07
*
*************************************************/
CREATE PROCEDURE [dmtx].[stp_verificaDtx]
(
	@DataMatrix	NVARCHAR(50)
-- ,@Esito		NVARCHAR(5) OUTPUT
)
AS
-- resetto esito!
DECLARE		@Esito NVARCHAR(5) = NULL
-- calcolo!
SELECT	@Esito = EsitoMarcatura
FROM	dmtx.v_ElencoDatamatrixBMW AS Dtx
WHERE	DataMatrix = @DataMatrix

SELECT ISNULL(@Esito,'ND') as StatoDtx

RETURN